<html devsite><head>
    <title>Nexus 보안 게시판 - 2015년 10월</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p><em>2015년 10월 5일 게시됨 | 2016년 4월 28일 업데이트됨</em></p>

<p>Google의 Android 보안 게시판 월간 출시 과정의 일환으로 무선
업데이트를 통해 Nexus 기기 보안 업데이트가 출시되었습니다.
또한 Nexus 펌웨어 이미지도 <a href="https://developers.google.com/android/nexus/images">Google 개발자 사이트</a>에 출시되었습니다. 다음 문제는 빌드 LMY48T 이상(예: LMY48W) 및 2015년 10월 1일 이후의
보안 패치 수준이 포함된 Android M에서 해결됩니다. 보안 패치 수준을 확인하는 방법에 대한 안내는 <a href="https://support.google.com/nexus/answer/4457705">Nexus 도움말</a>을 참조하세요. </p>

<p>이 문제에 대한 알림은 2015년 9월 10일 이전에 파트너에게 전달되었으며,
소스 코드 패치는 Android 오픈소스 프로젝트(AOSP) 저장소에
출시되었습니다.</p>

<p>이 중 가장 심각한 문제는 미디어 파일을 처리할 때
이메일, 웹 탐색, MMS 등 여러 방법을 통해 대상 기기에서
원격으로 코드를 실행할 수 있게 하는 심각한 보안 취약성입니다. <a href="/security/overview/updates-resources.html#severity">심각도
평가</a>는
개발 목적으로 플랫폼 및 서비스 완화를 사용할 수 없거나
우회에 성공한 경우 취약성 악용으로 인해 대상 기기가 받는 영향을
기준으로 내려집니다.</p>

<p>실제 고객이 새로 보고된 이러한 문제로 인해 악용당했다는 신고는
접수되지 않았습니다. SafetyNet과 같이 Android 플랫폼의 보안을 개선하는 <a href="/security/enhancements/index.html">Android 보안 플랫폼 보호</a> 및 서비스 보호 기능에 관해 자세히 알아보려면
<a href="#mitigations">완화</a> 섹션을 참조하세요. 모든 고객은 기기에서 이 업데이트를 수락하는 것이
좋습니다. </p>

<h2 id="mitigations">완화</h2>

<p>다음은 SafetyNet과 같은 <a href="/security/enhancements/index.html">Android 보안 플랫폼</a> 및 서비스 보호 기능에서 제공하는 완화를 요약한 내용입니다. 이러한 기능을 통해
Android에서 보안 취약성이 악용될 가능성을 줄일 수
있습니다. </p>

<ul>
  <li> Android 플랫폼 최신 버전의 향상된 기능으로 Android의
여러 문제를 악용하기 더욱 어려워졌습니다. 가능하다면 모든 사용자는 최신 버전의 Android로
업데이트하는 것이 좋습니다.
  </li><li> Android 보안팀에서는 유해할 수 있는 애플리케이션이 설치될 때
경고를 보내는 앱 인증 및 SafetyNet을 사용하여 악용사례를 적극적으로
모니터링합니다. Google Play 내에서 기기 루팅 도구는 금지되어 있습니다. Google Play
외부에서 애플리케이션을 설치하는 사용자를 보호하기 위해 앱 인증이
기본적으로 사용 설정되며 알려진 루팅 애플리케이션이 감지되면 경고를 표시합니다. 앱
인증에서는 권한 승격 취약성을 악용하는 것으로 알려진 악성 애플리케이션을
식별하고 차단합니다. 이러한 애플리케이션이
이미 설치된 경우 앱 인증에서 사용자에게 이를 알리고
애플리케이션 삭제하려고 시도합니다.
  </li><li> Google 행아웃과 메신저 애플리케이션이 미디어 서버와 같은
취약한 프로세스에 미디어를 자동으로 전달하지 않도록
업데이트되었습니다.
</li></ul>

<h2 id="acknowledgements">감사의 말씀</h2>

<p>참여해 주신 다음 연구원에게 감사드립니다.</p>

<ul>
  <li> Brennan Lautner: CVE-2015-3863
  </li><li> Qihoo 360 C0RE팀의 Chiachih Wu, Xuxian Jiang: CVE-2015-3868, CVE-2015-3869, CVE-2015-3862
  </li><li> Qihoo 360 C0RE팀의 Yajin Zhou, Lei Wu, Xuxian Jiang: CVE-2015-3865
  </li><li> Copperhead Security의 Daniel Micay(daniel.micay@copperhead.co): CVE-2015-3875
  </li><li> Alibaba 모바일 보안팀의 dragonltx: CVE-2015-6599
  </li><li> Google Project Zero의 Ian Beer, Steven Vittitoe: CVE-2015-6604
  </li><li> 아르헨티나 부에노스아이레스 Fundación Dr. Manuel Sadosky Programa STIC의 Joaquín Rinaudo(@xeroxnir), Iván Arce(@4Dgifts): CVE-2015-3870
  </li><li> Zimperium의 Josh Drake: CVE-2015-3876, CVE-2015-6602
  </li><li> Exodus Intelligence의 Jordan Gruskovnjak(@jgrusko): CVE-2015-3867
  </li><li> Trend Micro의 Peter Pi: CVE-2015-3872, CVE-2015-3871
  </li><li> Qihoo 360 Technology Co. Ltd의 Ping Li: CVE-2015-3878
  </li><li> Seven Shen: CVE-2015-6600, CVE-2015-3847
  </li><li> Baidu X-Team의 Wangtao(neobyte): CVE-2015-6598
  </li><li> Trend Micro Inc.의 Wish Wu(@wish_wu): CVE-2015-3823
  </li><li> Upper Austria/Hagenberg, University of Applied Sciences, JR-Center u'smile의 Michael Roland: CVE-2015-6606
</li></ul>

<p>이 게시판에 해결된 여러 문제를 보고해 주신 Chrome 보안팀,
Google 보안팀, Project Zero 및 그 외 Google 직원에게도
감사드립니다.</p>

<h2 id="security_vulnerability_details">보안 취약성 세부정보</h2>

<p>다음 섹션에서는 2015-10-01 패치 수준에 적용되는
각 보안 취약성에 관해 자세히 알아볼 수 있습니다.
여기에는 문제 설명, 심각도 근거 및 CVE, 관련 버그, 심각도,
해당 버전 및 신고된 날짜가 포함된 표가 제시됩니다.
가능한 경우 문제를 해결한 AOSP 변경사항을 버그ID에
연결했습니다.  하나의 버그와 관련된 변경사항이 여러 개인 경우 추가 AOSP
참조가 버그 ID 다음에 오는 번호에 연결됩니다.</p>

<h3 id="remote_code_execution_vulnerabilities_in_libstagefright">libstagefright의 원격 코드 실행 취약성</h3>

<p>libstagefright의 취약성은 특별히 제작된 파일의 미디어 파일과
데이터를 처리하는 동안 공격자가 메모리 손상을 일으키고 미디어 서버
서비스에서 원격 코드를 실행할 수 있게 합니다.</p>

<p>이 문제는 원격 코드를 권한 있는 서비스로 실행할 가능성이 있으므로
심각도 심각으로 평가됩니다. 문제의 구성요소는
오디오와 동영상 스트림뿐 아니라 제3자 애플리케이션이 일반적으로
액세스할 수 없는 권한에 액세스할 수 있습니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>해당 버전</th>
    <th>신고된 날짜</th>
 </tr>
 <tr>
    <td rowspan="14">CVE-2015-3873</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/c23e3dd8af7397f023aae040c4a03dd14091cbed">ANDROID-20674086</a>  [<a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/9abb7401df730b5c510f6b8dac2716a0928d9623">2</a>,<a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/b62a73b860757143d3b140b2985fdae71e18d675">3</a>,<a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/b2ae4351539de9aa4667fcb3e02ba40d9c6bd094">4</a>]</td>
    <td rowspan="13">심각</td>
    <td rowspan="13">5.1 이하</td>
    <td rowspan="13">Google 사내용 </td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/3fd96683850cf27648e036180acb149fac362242">ANDROID-20674674</a>  [<a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/65842db06c2d77e53cc5ac61692160d844cc7d0a">2</a>,<a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/38eff9af5c032bf12f89d6e94df05f65eef51afc">3</a>,<a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/91860b89488b3ee4644c539e89e657fbb79fb6ad">4</a>]</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Ftremolo/+/2e941e40ce76eb13b273479a4ee8fb6e40d33795">ANDROID-20718524 </a></td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Ftremolo/+/06ca06ac6107f88530cc67225c47537621bb41a5">ANDROID-21048776</a></td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/dc5e47f013bfbb74c5c35ad976aa98d480cb351b">ANDROID-21443020</a></td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/f11e95b21007f24e5ab77298370855f9f085b2d7">ANDROID-21814993 </a></td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/f810a8298aea13fa177060cdc10c8297eac69c49">ANDROID-22008959 </a></td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/7913508110c80da87fb085514208adbd874d7d54">ANDROID-22077698</a></td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/073e4f6748f5d7deb095c42fad9271cb99e22d07">ANDROID-22388975</a> </td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/bf47eb9c67ed364f3c288954857aab9d9311db4c">ANDROID-22845824</a> </td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/b158a9a5bcfe21480f57bc58d45517f1a81cca39">ANDROID-23016072</a></td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/5a132594b531f1f48098a790927f82080cc27f61">ANDROID-23247055 </a></td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/d2ebc0b9e147f9406db20ec4df61da50e3614ee4">ANDROID-23248776</a> </td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/3179e3b3531b5fe93dc7f5b2c378e27010a406d5">ANDROID-20721050</a></td>
    <td>심각</td>
    <td>5.0 및 5.1</td>
    <td>Google 사내용 </td>
 </tr>
 <tr>
    <td>CVE-2015-3823</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/407d475b797fdc595299d67151230dc6e3835ccd">ANDROID-21335999 </a></td>
    <td>심각</td>
    <td>5.1 이하</td>
    <td>2015년 5월 20일</td>
 </tr>
 <tr>
    <td>CVE-2015-6600</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/e6f5d47a7f9eab8a0009f8a563de473cd47d3110">ANDROID-22882938 </a></td>
    <td>심각</td>
    <td>5.1 이하</td>
    <td>2015년 7월 31일</td>
 </tr>
 <tr>
    <td>CVE-2015-6601</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/738a753a3ca7bf8f9f608ca941575626265294e4">ANDROID-22935234</a></td>
    <td>심각</td>
    <td>5.1 이하</td>
    <td>2015년 8월 3일</td>
 </tr>
 <tr>
    <td>CVE-2015-3869</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/450e1015b7939292ca988dd1b4f0303a094478e9">ANDROID-23036083</a></td>
    <td>심각</td>
    <td>5.1 이하</td>
    <td>2015년 8월 4일</td>
 </tr>
 <tr>
    <td>CVE-2015-3870</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/4bce636865bdf0e2a79fc9a5d9a69107649c850d">ANDROID-22771132</a></td>
    <td>심각</td>
    <td>5.1 이하</td>
    <td>2015년 8월 5일</td>
 </tr>
 <tr>
    <td>CVE-2015-3871</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/c570778430a22b5488cae72982cf9fb8033dbda3">ANDROID-23031033</a></td>
    <td>심각</td>
    <td>5.1 이하</td>
    <td>2015년 8월 6일</td>
 </tr>
 <tr>
    <td>CVE-2015-3868</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/937c6bedd4b6e5c6cb29a238eb459047dedd3486">ANDROID-23270724</a></td>
    <td>심각</td>
    <td>5.1 이하</td>
    <td>2015년 8월 6일</td>
 </tr>
 <tr>
    <td>CVE-2015-6604</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/f51115bd8e44c2779b74477277c6f6046916e7cf">ANDROID-23129786</a></td>
    <td>심각</td>
    <td>5.1 이하</td>
    <td>2015년 8월 11일</td>
 </tr>
 <tr>
    <td>CVE-2015-3867</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/7e9ac3509d72e8dc6f1316b5ce0a0066638b9737">ANDROID-23213430</a></td>
    <td>심각</td>
    <td>5.1 이하</td>
    <td>2015년 8월 14일</td>
 </tr>
 <tr>
    <td>CVE-2015-6603</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/c37f7f6fa0cb7f55cdc5b2d4ccbf2c87c3bc6c3b">ANDROID-23227354 </a></td>
    <td>심각</td>
    <td>5.1 이하</td>
    <td>2015년 8월 15일</td>
 </tr>
 <tr>
    <td>CVE-2015-3876</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/c580c836c1941fb4912e1dd4e08626caf98a62c7">ANDROID-23285192</a></td>
    <td>심각</td>
    <td>5.1 이하</td>
    <td>2015년 8월 15일</td>
 </tr>
 <tr>
    <td>CVE-2015-6598</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/ba6093a4c6997b9d36d9700ee8c974941bf82e3a">ANDROID-23306638</a></td>
    <td>심각</td>
    <td>5.1 이하</td>
    <td>2015년 8월 18일</td>
 </tr>
 <tr>
    <td>CVE-2015-3872</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/4d46f6f18f5160b8992ec1e66ef1844212fc7d48">ANDROID-23346388</a></td>
    <td>심각</td>
    <td>5.1 이하</td>
    <td>2015년 8월 19일</td>
 </tr>
 <tr>
    <td>CVE-2015-6599</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/af7e33f6043c0be1c0310d675884e3b263ca2438">ANDROID-23416608 </a></td>
    <td>심각</td>
    <td>5.1 이하</td>
    <td>2015년 8월 21일</td>
 </tr>
</tbody></table>

<h3 id="remote_code_execution_vulnerabilities_in_sonivox">Sonivox의 원격 코드 실행 취약성</h3>

<p>Sonivox의 취약성은 특별히 제작된 파일의 미디어 파일을 처리하는
동안 공격자가 메모리 손상을 일으키고 미디어 서버 서비스에서
원격 코드를 실행할 수 있게 합니다. 이 문제는 원격 코드를
권한 있는 서비스로 실행할 가능성이 있으므로 심각도
심각으로 평가됩니다. 문제의 구성요소는 오디오와 동영상
스트림뿐 아니라 제3자 애플리케이션이 일반적으로 액세스할 수 없는
권한에 액세스할 수 있습니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>해당 버전</th>
    <th>신고된 날짜</th>
 </tr>
 <tr>
    <td rowspan="3">CVE-2015-3874</td>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Fsonivox/+/8cbef48ba6e3d3f844b895f8ca1a1aee74414fff">ANDROID-23335715</a> </td>
    <td rowspan="3">심각</td>
    <td rowspan="3">5.1 이하</td>
    <td rowspan="3">여러 날짜</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Fsonivox/+/5d2e7de37d4a28cf25cc5d0c64b3a29c1824dc0a">ANDROID-23307276</a> [<a href="https://android.googlesource.com/platform%2Fexternal%2Fsonivox/+/f333a822c38c3d92f40e8f1686348e6a62c291">2</a>]</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Fsonivox/+/8a9f53ee2c661e8b5b94d6e9fbb8af3baa34310d">ANDROID-23286323</a></td>
 </tr>
</tbody></table>

<h3 id="remote_code_execution_vulnerabilities_in_libutils">libutils의 원격 코드 실행 취약성 </h3>

<p>오디오 파일 처리에 일반 라이브러리인 libutils의 취약성이 있습니다.
이 취약성은 특별히 제작된 파일을 처리하는 동안 공격자가
메모리 손상을 일으키고 미디어 서버와 같이 이 라이브러리를 사용하는
서비스에서 원격 코드를 실행할 수 있게 합니다.</p>

<p>문제의 기능은 애플리케이션 API로 제공되며
원격 콘텐츠와 특히 MMS 및 미디어의 브라우저 재생에서
이런 기능을 사용하는 여러 애플리케이션이 있습니다. 이 문제는 권한 있는
서비스에서 원격 코드를 실행할 가능성이 있으므로 심각도 심각으로
평가됩니다. 문제의 구성요소는 오디오와 동영상 스트림뿐 아니라
제3자 앱이 일반적으로 액세스할 수 없는 권한에 액세스할 수 있습니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>해당 버전</th>
    <th>신고된 날짜</th>
 </tr>
 <tr>
    <td>CVE-2015-3875</td>
    <td><a href="https://android.googlesource.com/platform%2Fsystem%2Fcore/+/0cc9a6e6e1f8e675c1238e5e05418cabcc699b52">ANDROID-22952485</a></td>
    <td>심각</td>
    <td>5.1 이하</td>
    <td>2015년 8월 15일</td>
 </tr>
 <tr>
    <td>CVE-2015-6602</td>
    <td><a href="https://android.googlesource.com/platform%2Fsystem%2Fcore/+/e0dce90b0de2b2b7c2baae8035f810a55526effb">ANDROID-23290056</a> [<a href="https://android.googlesource.com/platform%2Fsystem%2Fcore/+/5b85b1d40d619c2064d321364f212ebfeb6ba185">2</a>]</td>
    <td>심각</td>
    <td>5.1 이하</td>
    <td>2015년 8월 15일</td>
 </tr>
</tbody></table>

<h3 id="remote_code_execution_vulnerability_in_skia">Skia의 원격 코드 실행 취약성</h3>

<p>Skia 구성요소의 취약성은 특별히 제작된 파일을 처리하는 동안
악용되어 메모리 손상을 일으키고 권한 있는 프로세스에서
원격 코드 실행으로 이어질 수 있습니다. 이 문제는 미디어 파일을
처리할 때 이메일과 웹 탑색, MMS 등 다양한 공격을 통해
원격 코드를 실행할 가능성이 있으므로 심각도 심각으로
평가됩니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>해당 버전</th>
    <th>신고된 날짜</th>
 </tr>
 <tr>
    <td>CVE-2015-3877</td>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Fskia/+/55ad31336a6de7037139820558c5de834797c09e">ANDROID-20723696</a></td>
    <td>심각</td>
    <td>5.1 이하</td>
    <td>2015년 7월 30일</td>
 </tr>
</tbody></table>

<h3 id="remote_code_execution_vulnerabilities_in_libflac">libFLAC의 원격 코드 실행 취약성</h3>

<p>미디어 파일 처리에 libFLAC의 취약성이 있습니다. 이
취약성은 특별히 제작된 파일을 처리하는 동안 공격자가
메모리 손상을 일으키고 원격 코드를 실행할 수 있게 합니다.</p>

<p>문제의 기능은 애플리케이션 API로 제공되며, 이러한 기능이
미디어의 브라우저 재생 등 원격 콘텐츠에 도달할 수 있게 하는 여러
애플리케이션이 있습니다. 이 문제는 권한 있는 서비스에서 원격 코드를
실행할 가능성이 있으므로 심각도 심각으로 평가됩니다. 문제의
구성요소는 오디오와 동영상 스트림뿐 아니라 제3자 앱이 일반적으로
액세스할 수 없는 권한에 액세스할 수 있습니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>해당 버전</th>
    <th>신고된 날짜</th>
 </tr>
 <tr>
    <td>CVE-2014-9028</td>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Fflac/+/fe03f73d86bb415f5d5145f0de091834d89ae3a9">ANDROID-18872897</a> [<a href="https://android.googlesource.com/platform%2Fexternal%2Fflac/+/5859ae22db0a2d16af3e3ca19d582de37daf5eb6">2</a>]</td>
    <td>심각</td>
    <td>5.1 이하</td>
    <td>2014년 11월 14일</td>
 </tr>
</tbody></table>

<p>
</p>

<h3 id="elevation_of_privilege_vulnerability_in_keystore">키 저장소의 권한 승격 취약성</h3>

<p>키 저장소 구성요소의 권한 승격 취약성은 악성
애플리케이션이 KeyStore API로 호출될 때 악용될 수 있습니다. 이
애플리케이션은 메모리 손상을 일으키고 키 저장소 내에서 임의의
코드를 실행할 수 있습니다. 이 문제는 제3자 애플리케이션에서
직접 액세스할 수 없는 권한에 액세스하는 데 사용될 수 있어서
심각도 높음으로 평가됩니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>해당 버전</th>
    <th>신고된 날짜</th>
 </tr>
 <tr>
    <td>CVE-2015-3863</td>
    <td><a href="https://android.googlesource.com/platform%2Fsystem%2Fsecurity/+/0d5935262dbbcaf2cf6145529ffd71a728ef4609">ANDROID-22802399</a></td>
    <td>높음</td>
    <td>5.1 이하</td>
    <td>2015년 7월 28일</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_media_player_framework">미디어 플레이어 프레임워크의 권한 승격 취약성</h3>

<p>미디어 플레이어 프레임워크 구성요소의 권한 승격 취약성은
악성 애플리케이션이 미디어 서버 내에서 임의의 코드를
실행할 수 있게 합니다. 이 문제는 악성 애플리케이션이 제3자
애플리케이션에 액세스할 수 없는 권한에 액세스할 수 있게 하여
심각도 높음으로 평가됩니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>해당 버전</th>
    <th>신고된 날짜</th>
 </tr>
 <tr>
    <td>CVE-2015-3879</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/aa4da6fa7ca2454f0713de0a5a583b5b8160166b">ANDROID-23223325</a> [2]*</td>
    <td>높음</td>
    <td>5.1 이하</td>
    <td>2015년 8월 14일</td>
 </tr>
</tbody></table>

<p>* 이 문제에 관한 두 번째 변경사항은 AOSP에 포함되어 있지 않습니다. 업데이트는
<a href="https://developers.google.com/android/nexus/drivers">Google 개발자 사이트</a>에서 사용 가능한 Nexus 기기의 최신 바이너리 드라이버에 포함되어 있습니다.
</p>

<h3 id="elevation_of_privilege_vulnerability_in_android_runtime">Android 런타임의 권한 승격 취약성</h3>

<p>Android 런타임의 권한 승격 취약성을 악용하여 로컬 악성
애플리케이션은 권한이 승격된 시스템 애플리케이션 내에서 임의의
코드를 실행할 수 있습니다. 이 문제는 <a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">서명</a> 또는 <a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">SignatureOrSystem</a> 권한과 같이
타사 애플리케이션이 액세스할 수 없는 승격된 권한을 확보하는 데 사용될 수 있으므로 심각도 높음으로 평가됩니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>해당 버전</th>
    <th>신고된 날짜</th>
 </tr>
 <tr>
    <td>CVE-2015-3865</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fbase/+/ff8dc21278b19b22ed8dc9f9475850838336d351">ANDROID-23050463</a> [<a href="https://android.googlesource.com/platform%2Fcts/+/3f7334822ba4cc53f81f22f3519093bf4e1d7f89">2</a>]</td>
    <td>높음</td>
    <td>5.1 이하</td>
    <td>2015년 8월 8일</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerabilities_in_mediaserver">미디어 서버의 권한 승격 취약성</h3>

<p>미디어 서버에 로컬 악성 애플리케이션이 권한이 있는
기본 서비스 내에서 임의의 코드를 실행할 수 있게 하는
여러 취약성이 있습니다. 이 문제는 제3자 애플리케이션에
직접 액세스할 수 없는 권한에 액세스하는 데 사용될 수 있어서
심각도 높음으로 평가됩니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>해당 버전</th>
    <th>신고된 날짜</th>
 </tr>
 <tr>
    <td rowspan="3">CVE-2015-6596</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/b97ee930e4f7ed1587b869c92b4aa1dc90b641cc">ANDROID-20731946</a></td>
    <td rowspan="2">높음</td>
    <td rowspan="2">5.1 이하</td>
    <td rowspan="2">여러 날짜</td>
 </tr>
 <tr>
    <td>ANDROID-20719651*</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/9ef830c6dbd4f6000b94abee3df14b9e27a38294">ANDROID-19573085</a></td>
    <td>높음</td>
    <td>5.0 - 6.0</td>
    <td>Google 사내용</td>
 </tr>
</tbody></table>

<p>* 이 문제에 관한 패치는 AOSP에 포함되어 있지 않습니다. 업데이트는
<a href="https://developers.google.com/android/nexus/drivers">Google 개발자 사이트</a>에서 제공되는 Nexus 기기용 최신 바이너리 드라이버에 포함되어 있습니다.
</p>

<h3 id="elevation_of_privilege_vulnerability_in_secure_element_evaluation_kit">보안 요소 평가 키트의 권한 승격 취약성</h3>

<p><a href="http://seek-for-android.github.io/">SEEK</a>(보안 요소 평가 키트, SmartCard API라고도 함) 플러그인을 악용하면
애플리케이션이 요청하지 않아도 승격된 권한을 얻을 수 있습니다. 이 문제는
<a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">서명</a> 또는 <a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">SignatureOrSystem</a> 권한과 같이 타사 애플리케이션이
액세스할 수 없는 승격된 권한을 확보하는 데 사용될 수 있으므로 심각도 높음으로 평가됩니다. </p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>해당 버전</th>
    <th>신고된 날짜</th>
 </tr>
 <tr>
    <td>CVE-2015-6606</td>
    <td>ANDROID-22301786*</td>
    <td>높음</td>
    <td>5.1 이하</td>
    <td>2015년 6월 30일</td>
 </tr>
</tbody></table>

<p>* 이 문제를 해결하는 업그레이드는 <a href="http://seek-for-android.github.io/">Android용 SEEK 사이트</a>에 있습니다.
</p>

<h3 id="elevation_of_privilege_vulnerability_in_media_projection">미디어 프로젝션의 권한 승격 취약성</h3>

<p>미디어 프로젝션 구성요소의 취약성을 악용하면 사용자 데이터가
화면 스크린샷의 형태로 공개될 수 있습니다. 이 문제는 운영체제에서
지나치게 긴 애플리케이션 이름을 허용한 결과 발생합니다. 로컬 악성
애플리케이션에서 이렇게 긴 이름을 사용하면 화면 녹화에 대한 경고가
사용자에게 표시되지 않을 수 있습니다. 이 문제는 부적절하게
승격된 권한을 얻는 데 사용될 수 있어서 심각도 보통으로 평가됩니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>해당 버전</th>
    <th>신고된 날짜</th>
 </tr>
 <tr>
    <td>CVE-2015-3878</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/base/+/b3145760db5d58a107fd1ffd8eeec67d983d45f3">ANDROID-23345192</a></td>
    <td>중간</td>
    <td>5.0 - 6.0</td>
    <td> 2015년 8월 18일</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_bluetooth">블루투스의 권한 승격 취약성</h3>

<p>Android 블루투스 구성요소의 취약성을 악용하면 애플리케이션이
저장된 SMS 메시지를 삭제할 수 있습니다. 이 문제는 부적절하게 승격된 권한을
얻는 데 사용될 수 있어서 심각도 보통으로 평가됩니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>해당 버전</th>
    <th>신고된 날짜</th>
 </tr>
 <tr>
    <td>CVE-2015-3847</td>
    <td><a href="https://android.googlesource.com/platform%2Fpackages%2Fapps%2FBluetooth/+/19004c751f36aa2b01d3e03d4f761d8897542bd2">ANDROID-22343270</a></td>
    <td>중간</td>
    <td>5.1 이하</td>
    <td>2015년 7월 8일</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerabilities_in_sqlite">
SQLite의 권한 승격 취약성</h3>

<p>SQLite 파싱 엔진에서 여러 취약성이 발견되었습니다. 이
취약성은 로컬 애플리케이션에 의해 악용되어 다른 애플리케이션이나 서비스가
임의의 SQL 쿼리를 실행할 수 있게 합니다. 악용에
성공하면 대상 애플리케이션 내에서 임의의 코드가 실행될 수
있습니다.</p>

<p>2015년 4월 8일에 수정사항이 AOSP 마스터로 업로드되어 SQLite 버전이
3.8.9로 업그레이드되었습니다(<a href="https://android-review.googlesource.com/#/c/145961/">https://android-review.googlesource.com/#/c/145961/</a>).</p>

<p>이 게시판에는 Android 4.4의 SQLite 버전(SQLite 3.7.11)과
Android 5.0 및 5.1의 SQLite 버전(SQLite 3.8.6)이 포함되어 있습니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>해당 버전</th>
    <th>신고된 날짜</th>
 </tr>
 <tr>
    <td>CVE-2015-6607</td>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Fsqlite/+/3fcd43a0f1ef02756029e12af3cb9ba9faa13364">ANDROID-20099586</a></td>
    <td>보통</td>
    <td> 5.1 이하</td>
    <td>2015년 4월 7일<br />공개적으로 알려짐</td>
 </tr>
</tbody></table>

<h3 id="denial_of_service_vulnerabilities_in_mediaserver">
미디어 서버의 서비스 거부(DoS) 취약성</h3>

<p>미디어 서버에 미디어 프로세스를 다운시켜 서비스 거부를
일으킬 수 있는 여러 취약성이 있습니다. 이 문제는 미디어 서버의
다운으로 인해 로컬에서 일시적으로 서비스 거부가 발생하는 것으로
심각도 낮음으로 평가됩니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>해당 버전</th>
    <th>신고된 날짜</th>
 </tr>
 <tr>
    <td rowspan="3">CVE-2015-6605</td>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Ftremolo/+/36ec928f52271dd1feb4c86b18026564220629e9">ANDROID-20915134</a></td>
    <td rowspan="2">낮음</td>
    <td rowspan="2">5.1 이하</td>
    <td rowspan="2">Google 사내용 </td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/3ce293842fed1b3abd2ff0aecd2a0c70a55086ee">ANDROID-23142203</a></td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Flibhevc/+/2b67e532653b815e2341a0ac0b59d1b0ef82170d">ANDROID-22278703</a></td>
    <td>낮음</td>
    <td>5.0 - 6.0</td>
    <td>Google 사내용</td>
 </tr>
 <tr>
    <td>CVE-2015-3862</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/f26400c9d01a0e2f71690d5ebc644270f098d590">ANDROID-22954006</a></td>
    <td>낮음</td>
    <td>5.1 이하</td>
    <td>2015년 8월 2일</td>
 </tr>
</tbody></table>

<h2 id="revisions">수정 내역</h2>

<ul>
  <li> 2015년 10월 5일: 게시판이 게시됨
  </li><li> 2015년 10월 7일: AOSP 참조로 게시판이 업데이트되고, CVE-2014-9028 버그 참조가 명시됨
  </li><li> 2015년 10월 12일: CVE-2015-3868, CVE-2015-3869,
CVE-2015-3865, CVE-2015-3862에 대한 감사의 말씀이 업데이트됨
  </li><li> 2016년 1월 22일: CVE-2015-6606에 대한 감사의 말씀이 업데이트됨
  </li><li> 2016년 4월 28일: CVE-2015-6603을 추가했으며 CVE-2014-9028의 오타가 수정됨
</li></ul>

</body></html>